/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Holds RSS2I specifiy NVIC defines for better readability.
  
  Authors
  =======
    
    Copyright (C) 2021-2021  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This firmware is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This firmware is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this firmware. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
    
    2021-03-27    Initial release.
*/


#define NVIC_RSS2I_HIGH_PRIORITY (1 << 6)
#define NVIC_RSS2I_LOW_PRIORITY  (1 << 7)

