/*
  This file is part of the RSS2I project licensed under the GNU GPL v3.0+
*/

/*
  Some helper routines for the unit tests.
   
  Authors
  =======
  
    Copyright (C) 2018-2021  Gerrit Maus (funk@maus.xyz)
    
  License
  =======
    
    This program is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by the Free
    Software Foundation, either version 3 of the License, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
    more details.

    You should have received a copy of the GNU General Public License along with
    this program. If not, see <https://www.gnu.org/licenses/>.
  
  Changelog
  =========
  
    2021-04-02    Initial release.
*/


void test_ident(void);
void test_status(const char * string);
void test_progress(int progress);
void test_ok(void);
void test_failed(void);
void test_newline(void);
void test_stat_table_header(void);
void test_stat_table_entry(const char * string, uint32_t val);

